centos8.x版本安装宝塔提示Errors during downloading metadata for repository ‘epel’报错的解决方法

今天一个客户在新安装宝塔时,Linux服务器报错:Errors during downloading metadata for repository ‘epel’

排查后发现客户使用的是centos8.2的版本,所以导致宝塔安装出错,这是因为所用系统为Centos 8版本暂时已停止更新相应依赖。

简单的方法就是将centos版本降低到7.x即可,这个是最快也是最有效的方法!

如果不想重装的话,可以尝试以下方法:

  1. 备份源文件夹

    mv /etc/yum.repos.d /etc/yum.repos.d.bak

  2. 创建源文件目录

    mkdir -p /etc/yum.repos.d

  3. 下载新的yum源

    a) curl https://mirrors.aliyun.com/repo/Centos-vault-8.5.2111.repo > /etc/yum.repos.d/Centos-vault-8.5.2111.repo

    b) curl https://mirrors.aliyun.com/repo/epel-archive-8.repo > /etc/yum.repos.d/epel-archive-8.repo

  4. 重建缓存

    yum clean all && yum makecache

  5. 正常安装宝塔命令

1. 本站所有资源来源于用户上传和网络,因此不包含技术服务请大家谅解!如有侵权请邮件联系客服!88525903@qq.com
2. 本站不保证所提供下载的资源的准确性、安全性和完整性,资源仅供下载学习之用!如有链接无法下载、失效或广告,请联系客服处理!
3. 您必须在下载后的24个小时之内,从您的电脑中彻底删除上述内容资源!如用于商业或者非法用途,与本站无关,一切后果请用户自负!
4. 如果您也有好的资源或教程,您可以投稿发布,成功分享后有积分奖励和额外收入!
5.严禁将资源用于任何违法犯罪行为,不得违反国家法律,否则责任自负,一切法律责任与本站无关

发表评论
暂无评论